Capsule API Example

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
capsule::client::Classification Class Reference

is the base class for to NFB or productivity classification process. More...

`#include <Classification.hpp>`

Inherited by capsule::client::ClassificationCardio, capsule::client::ClassificationEmotions, capsule::client::ClassificationMEMS, capsule::client::ClassificationNFB, capsule::client::ClassificationPhysiologicalStates, and capsule::client::ClassificationProductivity.

## Public Types
enum class | ClassifierType : uint8_t { Cardio = 0 , Emotions = 1 , NFB = 1 << 1 , MEMS = 1 << 2 , Physiological = 1 << 4 , Productivity = 1 << 5 }

## Public Member Functions
bool | IsValid () const noexcept
| Classification (const Classification &)=delete
Classification & | operator= (const Classification &)=delete
| Classification (Classification &&rhs) noexcept
Classification & | operator= (Classification &&rhs) noexcept

## Protected Member Functions
| Classification (std::unique_ptr< ClassificationPrivate > &&pimpl)
virtual | ~Classification ()
void | CheckValid () const
template<typename T >
T * | castImpl ()
template<typename T >
const T * | castImpl () const

## Protected Attributes
ClassificationPrivate * | m_pimpl

## Detailed Description

is the base class for to NFB or productivity classification process.

## Member Enumeration Documentation

## ◆ ClassifierType

enum class capsule::client::Classification::ClassifierType : uint8_t
| strong

Enumerator
Cardio |
Emotions |
NFB |
MEMS |
Physiological |
Productivity |

## Constructor & Destructor Documentation

## ◆ Classification() [1/3]

capsule::client::Classification::Classification | ( | const Classification & |  | ) |
| delete

## ◆ Classification() [2/3]

capsule::client::Classification::Classification | ( | Classification && | rhs | ) |
| noexcept

## ◆ Classification() [3/3]

capsule::client::Classification::Classification | ( | std::unique_ptr< ClassificationPrivate > && | pimpl | ) |
| explicit protected

## ◆ ~Classification()

virtual capsule::client::Classification::~Classification | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ castImpl() [1/2]

template<typename T >

T * capsule::client::Classification::castImpl | ( |  | ) |
| inline protected

## ◆ castImpl() [2/2]

template<typename T >

const T * capsule::client::Classification::castImpl | ( |  | ) | const
| inline protected

## ◆ CheckValid()

void capsule::client::Classification::CheckValid | ( |  | ) | const
| protected

## ◆ IsValid()

bool capsule::client::Classification::IsValid | ( |  | ) | const
| noexcept

## ◆ operator=() [1/2]

Classification & capsule::client::Classification::operator= | ( | Classification && | rhs | ) |
| noexcept

## ◆ operator=() [2/2]

Classification & capsule::client::Classification::operator= | ( | const Classification & |  | ) |
| delete

## Member Data Documentation

## ◆ m_pimpl

ClassificationPrivate* capsule::client::Classification::m_pimpl
| protected

The documentation for this class was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/Classification.hpp